## org.eclipse.datatools.connectivity.sqm.server.internal.ui.explorer.providers
Class SQLModelContentProviderExtension

    java.lang.Object
      org.eclipse.datatools.connectivity.ui.CommonContentProviderBase
          org.eclipse.datatools.connectivity.sqm.server.internal.ui.explorer.providers.SQLModelContentProviderExtension

public class SQLModelContentProviderExtension
extends CommonContentProviderBase

This class is a content provider implemention for navigatorContent extensions. This class provides SQL model content to the navigator.

Constructor Summary
`SQLModelContentProviderExtension()`

Method Summary
`void` `init(ICommonContentExtensionSite aConfig)`

Methods inherited from class org.eclipse.datatools.connectivity.ui.CommonContentProviderBase
`dispose, equals, getChildren, getContentExtension, getElements, getParent, hasChildren, hashCode, init, inputChanged, restoreState, saveState`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLModelContentProviderExtension

    public SQLModelContentProviderExtension()

Method Detail

### init

    public void init(ICommonContentExtensionSite aConfig)

  Overrides:
    `init` in class `CommonContentProviderBase`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.